<?php

/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/6/6
 * Time: 14:08
 */
namespace App\Transformers\Circle;

use App\Models\InterestCircleUser;
use App\Models\Post;
use App\Traits\PostTrait;
use App\Traits\UserTrait;
use Illuminate\Support\Carbon;
use League\Fractal\TransformerAbstract;

class CircleMemberTransformer extends TransformerAbstract
{
    use UserTrait;
    public function transform(InterestCircleUser $interestCircleUser)
    {
        $user = $this->formatUser($this->userInfo($interestCircleUser['uid']));
        return [
            'user' => $user?$user:new \stdClass(),
            'created_at' => Carbon::parse($interestCircleUser['created_at'])->toDateTimeString()
        ];
    }
}