<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/6/18
 * Time: 10:44
 */
namespace  App\Transformers\Post;

use App\Models\Post;
use App\Traits\PostTrait;
use League\Fractal\TransformerAbstract;

class MyTransformer extends TransformerAbstract
{
    use PostTrait;
    public function transform(Post $post)
    {
        $postInfo = $this->getPostInfo($post['id']);
        return [
            'id' => $post['id'],
            'img' => $post['deleted_at']?config('customer.post_delete_image'):$post['img'],
            'type' => $post['type'],
            'collect_bean' => $postInfo['collect_bean'] > 0 ? $postInfo['collect_bean'] : 0,
        ];
    }
}