<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/7/31
 * Time: 13:44
 */
namespace  App\Transformers\Topic;

use App\Models\MemberFollowTopic;
use League\Fractal\TransformerAbstract;

class MyTopicListTransformer extends TransformerAbstract
{
    public function transform(MemberFollowTopic $memberFollowTopic)
    {
        return [
            'id' => $memberFollowTopic['topic_id'],
            'name' => $memberFollowTopic->topic->name,
            'img' => $memberFollowTopic->topic->img,
            'follow_count' => getNumber($memberFollowTopic->topic->use_count + $memberFollowTopic->topic->base_count),
        ];
    }
}